Save qualifier prompt
curl --request PUT \
--url https://api.vollna.com/v1/filters/{id}/qualifier/prompt \
--header 'Content-Type: application/json' \
--header 'X-API-TOKEN: <api-key>' \
--data '
{
"prompt": "<string>",
"model": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.vollna.com/v1/filters/{id}/qualifier/prompt"
payload = {
"prompt": "<string>",
"model": "<string>",
"name": "<string>"
}
headers = {
"X-API-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', model: '<string>', name: '<string>'})
};
fetch('https://api.vollna.com/v1/filters/{id}/qualifier/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/filters/{id}/qualifier/prompt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'model' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/filters/{id}/qualifier/prompt"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"model\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vollna.com/v1/filters/{id}/qualifier/prompt")
.header("X-API-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"model\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/filters/{id}/qualifier/prompt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"model\": \"<string>\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"filterId": 123,
"qualifier": {
"id": 123,
"name": "<string>",
"prompt": "<string>",
"model": "<string>",
"autoGenerated": true
},
"enabled": true,
"mode": "manual",
"showOnlyQualified": true,
"promptMaxLength": 123,
"models": [
"<string>"
],
"credits": {
"credits": {
"creditsUsed": 123,
"creditsLimit": 123,
"creditsRemaining": 123,
"extraCreditsRemaining": 123,
"totalCreditsRemaining": 123,
"isUnlimited": true,
"isFreeTrial": true,
"hasCredits": true,
"usagePercentage": 123,
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
}
},
"requiredPerJob": 123,
"canUse": true
},
"created": true
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}AI Qualifier
Save qualifier prompt
Saves the qualifier prompt and, optionally, its model and name. When the filter has no qualifier, it creates one and switches it on. Auto-bidding setups with qualifier source filter run on it too. Try a prompt first with POST /filters//qualifier/replay
PUT
/
filters
/
{id}
/
qualifier
/
prompt
Save qualifier prompt
curl --request PUT \
--url https://api.vollna.com/v1/filters/{id}/qualifier/prompt \
--header 'Content-Type: application/json' \
--header 'X-API-TOKEN: <api-key>' \
--data '
{
"prompt": "<string>",
"model": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.vollna.com/v1/filters/{id}/qualifier/prompt"
payload = {
"prompt": "<string>",
"model": "<string>",
"name": "<string>"
}
headers = {
"X-API-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', model: '<string>', name: '<string>'})
};
fetch('https://api.vollna.com/v1/filters/{id}/qualifier/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/filters/{id}/qualifier/prompt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'model' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/filters/{id}/qualifier/prompt"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"model\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vollna.com/v1/filters/{id}/qualifier/prompt")
.header("X-API-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"model\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/filters/{id}/qualifier/prompt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"model\": \"<string>\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"filterId": 123,
"qualifier": {
"id": 123,
"name": "<string>",
"prompt": "<string>",
"model": "<string>",
"autoGenerated": true
},
"enabled": true,
"mode": "manual",
"showOnlyQualified": true,
"promptMaxLength": 123,
"models": [
"<string>"
],
"credits": {
"credits": {
"creditsUsed": 123,
"creditsLimit": 123,
"creditsRemaining": 123,
"extraCreditsRemaining": 123,
"totalCreditsRemaining": 123,
"isUnlimited": true,
"isFreeTrial": true,
"hasCredits": true,
"usagePercentage": 123,
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
}
},
"requiredPerJob": 123,
"canUse": true
},
"created": true
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Authorizations
API token for authentication
Path Parameters
Filter ID
Body
application/json
Response
Successful operation
Show child attributes
Show child attributes
Was this page helpful?